Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# StdService Class Reference

`#include <stdservice.h>`

Inheritance diagram for StdService:

[legend]
Collaboration diagram for StdService:

[legend]
List of all members.

## Public Member Functions
virtual void | readInput (out char *buffer, out int *result, in int maxSize)
virtual void | errorMessage (in Severity, in const char *message, in const Location *=NULL) const
final void | fatalFlexError (in const char *message) const
final void | lexicalError (in Severity, in const char *message) const
final void | syntaxError (in const char *construct, in const Location *=NULL) const
final void | expectError (in const char *construct, in const char *expecting, in const Location *=NULL) const
final void | matchPair (in const Location &loc1, in const Location &loc2) const
final void | matchTriple (in const Location &loc1, in const Location &loc2, in const Location &loc3) const
final Location | range (in const Location &loc1, in const Location &loc2) const
final const char * | tokenText (in const Location *=NULL, in const Location *=NULL) const
final BSTR | tokenBstr (in const Location *tokenStart=NULL, in const Location *tokenEnd=NULL) const
final void | addScope (in const Location &start, in const Location &end, in ScopeKind kind, in ScopeAccess access, in ScopeStorage storage, in const Location &name, in const Location &descStart, in const Location &descEnd, in const Location *type=NULL, in long glyph=-1, in bool merge=false, in bool makeDescription=false)
final void | addScopeText (in const Location &start, in const Location &end, in ScopeKind kind, in ScopeAccess access, in ScopeStorage storage, in const char *name=NULL, in const char *description=NULL, in const char *type=NULL, in const char *display=NULL, in long glyph=-1, in bool merge=false)
final void | addExtern (in const Location &start, in const Location &end, in IScope *scope)
final void | startName (in const Location &name) const
final void | qualifyName (in const Location &selector, in const Location &name) const
final void | autoExpression (in const Location &expr) const
final void | codeSpan (in const Location &start, in const Location &end) const
final void | startParameters (in const Location &) const
final void | parameter (in const Location &) const
final void | endParameters (in const Location &) const
void | getProject (out IBabelProject **project)
void | getPackage (out IBabelPackage **package)
void | getFileName (out char *filePath, in int nameLen)
void | searchFile (inout char *fileName, in int nameLen)
void | loadScope (in const char *fileName, out IScope **scope)
final void | setLexState (in LexState)
final LexState | getLexState (void) const
STDMETHODIMP | QueryInterface (in REFIID iid, out void **obj)
| STDMETHODIMP_ (ULONG) AddRef()
| STDMETHODIMP_ (ULONG) Release()
STDMETHODIMP | GetTypeInfoCount (out UINT *count)
STDMETHODIMP | GetTypeInfo (in UINT index, in LCID lcid, out ITypeInfo **typeInfo)
STDMETHODIMP | GetIDsOfNames (in REFIID iid, in OLECHAR **names, in UINT count, in LCID lcid, out DISPID *dispids)
STDMETHODIMP | Invoke (in DISPID dispid, in REFIID iid, in LCID lcid, in WORD flags, in DISPPARAMS *args, out VARIANT *result, out EXCEPINFO *error, out UINT *errorArg)
STDMETHODIMP | Init (in LCID lcid, in long reserved)
STDMETHODIMP | Done ()
STDMETHODIMP | ColorCount (out ColorClass *count)
STDMETHODIMP | GetColorInfo (in ColorClass index, out BSTR *description, out BSTR *style)
STDMETHODIMP | ColorLine (in BSTR line, in IColorSink *sink, inout long *state)
STDMETHODIMP | ParseSource (in BSTR text, in IParseSink *sink, in ParseReason reason, in long reserved, out IScope **scope)
STDMETHODIMP | GetMethodFormat (out BSTR *parStart, out BSTR *parSep, out BSTR *parEnd, out BSTR *typeStart, out BSTR *typeEnd, out VARIANT_BOOL *typePrefixed)
STDMETHODIMP | GetCommentFormat (out BSTR *lineStart, out BSTR *blockStart, out BSTR *blockEnd, out VARIANT_BOOL *useLineComments)
STDMETHODIMP | GetImageList (out long *imageListHandle, out long *glyphCount)
## Protected Member Functions
final void | enterParser ()
final void | leaveParser ()
final void | enterLexer ()
final void | leaveLexer ()
final void | enterSink () const
final void | leaveSink () const
final void | initBuffer (inout LexBuffer &buffer)
final void | switchBuffer (inout LexBuffer &buffer, in State state, in int inputLen=0, in const InputChar *input=NULL, in IParseSink *sink=NULL, in ParseReason reason=ReasonColorize)
final State | doneBuffer ()
| StdService ()
virtual | ~StdService ()
virtual Token | nextToken (void)
virtual Token | parserNextToken (void)
virtual bool | isParserToken (in const TokenInfo &tokenInfo) const
virtual const ColorInfo * | getColorInfo (void) const
final const ColorInfo * | lookupColorInfo (in ColorClass) const
virtual const TokenInfo * | getTokenInfo (void) const
final const TokenInfo * | lookupTokenInfo (in Token) const
final const char * | getTokenDescription (in Token) const
virtual const MethodFormat * | getMethodFormat (void) const
virtual const CommentFormat * | getCommentFormat (void) const
virtual void | initColorizerState (inout ColorizerState &)
virtual void | doneColorizerState (inout ColorizerState &)
## Protected Attributes
LexBuffer * | m_buffer
LexBuffer | m_lexerBuffer
LexBuffer | m_parserBuffer
## Private Attributes
ULONG | m_refCount
ITypeInfo * | m_typeInfo
CRITICAL_SECTION | m_lexerLock
CRITICAL_SECTION | m_parserLock
## Friends
int | yyparse (void)

## Constructor & Destructor Documentation

StdService::StdService | ( |  | ) | `[protected]`

| Definition at line 1085 of file stdservice_.cpp. References g_service, initColorizerState(), m_buffer, m_lexerLock, and m_parserLock.

Here is the call graph for this function:

StdService::~StdService | ( |  | ) | `[protected, virtual]`

| Definition at line 1100 of file stdservice_.cpp. References ASSERT, g_service, m_buffer, m_lexerLock, and m_parserLock.

## Member Function Documentation

final void StdService::enterParser | ( |  | ) | `[protected]`

| Definition at line 1108 of file stdservice_.cpp. References m_parserLock. Referenced by ParseSource().

final void StdService::leaveParser | ( |  | ) | `[protected]`

| Definition at line 1113 of file stdservice_.cpp. References m_parserLock. Referenced by ParseSource().

final void StdService::enterLexer | ( |  | ) | `[protected]`

| Definition at line 1118 of file stdservice_.cpp. References m_lexerLock. Referenced by ColorLine(), doneBuffer(), parserNextToken(), and readInput().

final void StdService::leaveLexer | ( |  | ) | `[protected]`

| Definition at line 1123 of file stdservice_.cpp. References m_lexerLock. Referenced by ColorLine(), doneBuffer(), parserNextToken(), and readInput().

final void StdService::enterSink | ( |  | ) | const`[protected]`

| Definition at line 1129 of file stdservice_.cpp. References m_lexerLock. Referenced by addExtern(), addScope(), addScopeText(), autoExpression(), codeSpan(), endParameters(), errorMessage(), getFileName(), getPackage(), getProject(), matchPair(), matchTriple(), parameter(), ParseSource(), qualifyName(), startName(), and startParameters().

final void StdService::leaveSink | ( |  | ) | const`[protected]`

| Definition at line 1134 of file stdservice_.cpp. References m_lexerLock. Referenced by addExtern(), addScope(), addScopeText(), autoExpression(), codeSpan(), endParameters(), errorMessage(), getFileName(), getPackage(), getProject(), matchPair(), matchTriple(), parameter(), ParseSource(), qualifyName(), startName(), and startParameters().

final void StdService::initBuffer | ( | inout LexBuffer & | buffer | ) | `[protected]`

final void StdService::switchBuffer | ( | inout LexBuffer & | buffer,
|  | in State | state,
|  | in int | inputLen = 0,
|  | in const InputChar * | input = NULL,
|  | in IParseSink * | sink = NULL,
|  | in ParseReason | reason = ReasonColorize
| ) | `[protected]`

| Referenced by ColorLine(), and ParseSource().

final State StdService::doneBuffer | ( |  | ) | `[protected]`

| Definition at line 1186 of file stdservice_.cpp. References ASSERT, LexBuffer::cstate, doneColorizerState(), enterLexer(), g_service, ColorizerState::getState(), initColorizerState(), Location::initialize(), LexBuffer::input, LexBuffer::inputLim, LexBuffer::inputStart, leaveLexer(), LexBuffer::location, m_buffer, LexBuffer::prevBuffer, RELEASE, LexBuffer::service, LexBuffer::sink, State, LexBuffer::token, TRACE, LexBuffer::yy_buffer, yy_flush_buffer(), yy_switch_to_buffer(), LexBuffer::yylloc, and LexBuffer::yylval. Referenced by ColorLine(), and ParseSource().

Here is the call graph for this function:

Token StdService::nextToken | ( | void |  | ) | `[protected, virtual]`

| Definition at line 378 of file stdservice_.cpp. References LexBuffer::location, m_buffer, LexBuffer::token, Token, Location::update(), yyleng, yylex(), and yytext. Referenced by ColorLine(), and parserNextToken().

Here is the call graph for this function:

Token StdService::parserNextToken | ( | void |  | ) | `[protected, virtual]`

| Definition at line 356 of file stdservice_.cpp. References enterLexer(), isParserToken(), leaveLexer(), LexBuffer::location, lookupTokenInfo(), m_buffer, nextToken(), and Token.

Here is the call graph for this function:

bool StdService::isParserToken | ( | in const TokenInfo & | tokenInfo | ) | const`[protected, virtual]`

| Definition at line 349 of file stdservice_.cpp. Referenced by parserNextToken().

const ColorInfo * StdService::getColorInfo | ( | void |  | ) | const`[protected, virtual]`

| Definition at line 546 of file stdservice_.cpp. References ColorClassEnd. Referenced by ColorCount(), and lookupColorInfo().

final const ColorInfo * StdService::lookupColorInfo | ( | in | ColorClass | ) | const`[protected]`

| Definition at line 527 of file stdservice_.cpp. References ASSERT, ColorInfo::colorClass, ColorClassEnd, ColorMask, and getColorInfo(). Referenced by GetColorInfo().

Here is the call graph for this function:

const TokenInfo * StdService::getTokenInfo | ( | void |  | ) | const`[protected, virtual]`

| Reimplemented in Service. Definition at line 517 of file stdservice_.cpp. References defaultTokenInfo.

final const TokenInfo* StdService::lookupTokenInfo | ( | in | Token | ) | const`[protected]`

| Referenced by ColorLine(), getTokenDescription(), and parserNextToken().

final const char * StdService::getTokenDescription | ( | in | Token | ) | const`[protected]`

| Definition at line 469 of file stdservice_.cpp. References ASSERT, TokenInfo::description, LexBuffer::location, lookupTokenInfo(), m_buffer, MaxErrorMessage, Location::text, TokenInfo::token, and Token. Referenced by syntaxError().

Here is the call graph for this function:

const MethodFormat * StdService::getMethodFormat | ( | void |  | ) | const`[protected, virtual]`

| Definition at line 654 of file stdservice_.cpp. Referenced by GetMethodFormat().

const CommentFormat * StdService::getCommentFormat | ( | void |  | ) | const`[protected, virtual]`

| Definition at line 696 of file stdservice_.cpp. Referenced by GetCommentFormat().

void StdService::initColorizerState | ( | inout ColorizerState & |  | ) | `[protected, virtual]`

| Reimplemented in CommentService. Definition at line 1071 of file stdservice_.cpp. References LexState, setLexState(), and StateBits. Referenced by doneBuffer(), CommentService::initColorizerState(), and StdService().

Here is the call graph for this function:

void StdService::doneColorizerState | ( | inout ColorizerState & |  | ) | `[protected, virtual]`

| Reimplemented in CommentService. Definition at line 1077 of file stdservice_.cpp. References getLexState(), and StateBits. Referenced by doneBuffer(), and CommentService::doneColorizerState().

Here is the call graph for this function:

void StdService::readInput | ( | out char * | buffer,
|  | out int * | result,
|  | in int | maxSize
| ) | `[virtual]`

| Definition at line 1300 of file stdservice_.cpp. References ASSERT, DOUBLE_BYTE_BUF_SIZE, enterLexer(), LexBuffer::input, LexBuffer::inputLim, leaveLexer(), and m_buffer.

Here is the call graph for this function:

void StdService::errorMessage | ( | in | Severity,
|  | in const char * | message,
|  | in const Location * | = NULL
| ) | const`[virtual]`

| Definition at line 609 of file stdservice_.cpp. References BstrNew(), CHECK, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink. Referenced by expectError(), lexicalError(), and syntaxError().

Here is the call graph for this function:

void StdService::fatalFlexError | ( | in const char * | message | ) | const

| Definition at line 569 of file stdservice_.cpp. References ASSERT, and lexicalError().

Here is the call graph for this function:

void StdService::lexicalError | ( | in | Severity,
|  | in const char * | message
| ) | const

| Definition at line 575 of file stdservice_.cpp. References CHECK, errorMessage(), LexBuffer::location, m_buffer, LexBuffer::reason, LexBuffer::sink, LexBuffer::token, Location::update(), yyleng, and yytext. Referenced by CommentService::doneColorizerState(), CommentService::enterComment(), and fatalFlexError().

Here is the call graph for this function:

void StdService::syntaxError | ( | in const char * | construct,
|  | in const Location * | = NULL
| ) | const

| Definition at line 597 of file stdservice_.cpp. References CHECK, errorBuffer, errorMessage(), getTokenDescription(), m_buffer, MaxErrorMessage, LexBuffer::reason, and yychar.

Here is the call graph for this function:

void StdService::expectError | ( | in const char * | construct,
|  | in const char * | expecting,
|  | in const Location * | = NULL
| ) | const

| Definition at line 586 of file stdservice_.cpp. References CHECK, errorBuffer, errorMessage(), m_buffer, MaxErrorMessage, and LexBuffer::reason.

Here is the call graph for this function:

void StdService::matchPair | ( | in const Location & | loc1,
|  | in const Location & | loc2
| ) | const

| Definition at line 704 of file stdservice_.cpp. References enterSink(), leaveSink(), m_buffer, MATCHBRACES, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::matchTriple | ( | in const Location & | loc1,
|  | in const Location & | loc2,
|  | in const Location & | loc3
| ) | const

| Definition at line 718 of file stdservice_.cpp. References enterSink(), leaveSink(), m_buffer, MATCHBRACES, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

Location StdService::range | ( | in const Location & | loc1,
|  | in const Location & | loc2
| ) | const

| Definition at line 818 of file stdservice_.cpp.

const char * StdService::tokenText | ( | in const Location * | = NULL,
|  | in const Location * | = NULL
| ) | const

| Definition at line 824 of file stdservice_.cpp. References LexBuffer::inputStart, LexBuffer::location, m_buffer, MaxStr, Location::textLen, and Location::textOfs.

BSTR StdService::tokenBstr | ( | in const Location * | tokenStart = NULL,
|  | in const Location * | tokenEnd = NULL
| ) | const

| Definition at line 840 of file stdservice_.cpp. References LexBuffer::inputStart, LexBuffer::location, m_buffer, Location::textLen, and Location::textOfs. Referenced by addScope().

final void StdService::addScope | ( | in const Location & | start,
|  | in const Location & | end,
|  | in ScopeKind | kind,
|  | in ScopeAccess | access,
|  | in ScopeStorage | storage,
|  | in const Location & | name,
|  | in const Location & | descStart,
|  | in const Location & | descEnd,
|  | in const Location * | type = NULL,
|  | in long | glyph = -1,
|  | in bool | merge = false,
|  | in bool | makeDescription = false
| ) |

| Definition at line 735 of file stdservice_.cpp. References bstrFree(), CHECK, enterSink(), leaveSink(), m_buffer, MaxStr, OLECHAR, LexBuffer::reason, LexBuffer::sink, and tokenBstr().

Here is the call graph for this function:

final void StdService::addScopeText | ( | in const Location & | start,
|  | in const Location & | end,
|  | in ScopeKind | kind,
|  | in ScopeAccess | access,
|  | in ScopeStorage | storage,
|  | in const char * | name = NULL,
|  | in const char * | description = NULL,
|  | in const char * | type = NULL,
|  | in const char * | display = NULL,
|  | in long | glyph = -1,
|  | in bool | merge = false
| ) |

| Definition at line 783 of file stdservice_.cpp. References bstrFree(), BstrNew(), CHECK, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

final void StdService::addExtern | ( | in const Location & | start,
|  | in const Location & | end,
|  | in IScope * | scope
| ) |

| Definition at line 852 of file stdservice_.cpp. References CHECK, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::startName | ( | in const Location & | name | ) | const

| Definition at line 982 of file stdservice_.cpp. References AUTOS, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, SELECT, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::qualifyName | ( | in const Location & | selector,
|  | in const Location & | name
| ) | const

| Definition at line 993 of file stdservice_.cpp. References AUTOS, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, SELECT, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::autoExpression | ( | in const Location & | expr | ) | const

| Definition at line 1006 of file stdservice_.cpp. References AUTOS, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::codeSpan | ( | in const Location & | start,
|  | in const Location & | end
| ) | const

| Definition at line 1018 of file stdservice_.cpp. References CODESPAN, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::startParameters | ( | in const Location & |  | ) | const

| Definition at line 1033 of file stdservice_.cpp. References enterSink(), leaveSink(), m_buffer, METHODTIP, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::parameter | ( | in const Location & |  | ) | const

| Definition at line 1044 of file stdservice_.cpp. References enterSink(), leaveSink(), m_buffer, METHODTIP, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::endParameters | ( | in const Location & |  | ) | const

| Definition at line 1055 of file stdservice_.cpp. References enterSink(), leaveSink(), m_buffer, METHODTIP, LexBuffer::reason, and LexBuffer::sink.

Here is the call graph for this function:

void StdService::getProject | ( | out IBabelProject ** | project | ) |

| Definition at line 869 of file stdservice_.cpp. References CHECK, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink. Referenced by loadScope(), and searchFile().

Here is the call graph for this function:

void StdService::getPackage | ( | out IBabelPackage ** | package | ) |

| Definition at line 888 of file stdservice_.cpp. References CHECK, enterSink(), and leaveSink(). Referenced by loadScope().

Here is the call graph for this function:

void StdService::getFileName | ( | out char * | filePath,
|  | in int | nameLen
| ) |

| Definition at line 907 of file stdservice_.cpp. References CHECK, enterSink(), leaveSink(), m_buffer, LexBuffer::reason, and LexBuffer::sink. Referenced by ParseSource().

Here is the call graph for this function:

void StdService::searchFile | ( | inout char * | fileName,
|  | in int | nameLen
| ) |

| Definition at line 932 of file stdservice_.cpp. References BstrNew(), getProject(), and RELEASE.

Here is the call graph for this function:

void StdService::loadScope | ( | in const char * | fileName,
|  | out IScope ** | scope
| ) |

| Definition at line 954 of file stdservice_.cpp. References BstrNew(), getPackage(), getProject(), and RELEASE. Referenced by ParseSource().

Here is the call graph for this function:

void StdService::setLexState | ( | in | LexState | ) |

| Definition at line 1287 of file stdservice_.cpp. References LexState, and primSetLexState(). Referenced by CommentService::enterComment(), initColorizerState(), and CommentService::leaveComment().

Here is the call graph for this function:

LexState StdService::getLexState | ( | void |  | ) | const

| Definition at line 1292 of file stdservice_.cpp. References LexState, and primGetLexState(). Referenced by doneColorizerState(), and CommentService::enterComment().

Here is the call graph for this function:

STDMETHODIMP StdService::QueryInterface | ( | in REFIID | iid,
|  | out void ** | obj
| ) |

| Definition at line 1398 of file stdservice_.cpp. References OUTARG, and TRACE.

StdService::STDMETHODIMP_ | ( | ULONG |  | ) |

StdService::STDMETHODIMP_ | ( | ULONG |  | ) |

STDMETHODIMP StdService::GetTypeInfoCount | ( | out UINT * | count | ) |

| Definition at line 1443 of file stdservice_.cpp. References g_typeInfoBabelService, and OUTARG.

STDMETHODIMP StdService::GetTypeInfo | ( | in UINT | index,
|  | in LCID | lcid,
|  | out ITypeInfo ** | typeInfo
| ) |

| Definition at line 1452 of file stdservice_.cpp. References g_typeInfoBabelService, and OUTARG.

STDMETHODIMP StdService::GetIDsOfNames | ( | in REFIID | iid,
|  | in OLECHAR ** | names,
|  | in UINT | count,
|  | in LCID | lcid,
|  | out DISPID * | dispids
| ) |

| Definition at line 1462 of file stdservice_.cpp. References g_typeInfoBabelService, and OLECHAR.

STDMETHODIMP StdService::Invoke | ( | in DISPID | dispid,
|  | in REFIID | iid,
|  | in LCID | lcid,
|  | in WORD | flags,
|  | in DISPPARAMS * | args,
|  | out VARIANT * | result,
|  | out EXCEPINFO * | error,
|  | out UINT * | errorArg
| ) |

| Definition at line 1469 of file stdservice_.cpp. References g_typeInfoBabelService.

STDMETHODIMP StdService::Init | ( | in LCID | lcid,
|  | in long | reserved
| ) |

| Definition at line 204 of file stdservice_.cpp.

STDMETHODIMP StdService::Done | ( |  | ) |

| Definition at line 209 of file stdservice_.cpp.

STDMETHODIMP StdService::ColorCount | ( | out ColorClass * | count | ) |

| Definition at line 390 of file stdservice_.cpp. References ASSERT, ColorInfo::colorClass, ColorClassEnd, getColorInfo(), and TRACE.

Here is the call graph for this function:

STDMETHODIMP StdService::GetColorInfo | ( | in ColorClass | index,
|  | out BSTR * | description,
|  | out BSTR * | style
| ) |

| Definition at line 410 of file stdservice_.cpp. References bstrFree(), ColorInfo::colorClass, ColorInfo::description, lookupColorInfo(), MaxStr, OLECHAR, ColorInfo::style, and TRACE.

Here is the call graph for this function:

STDMETHODIMP StdService::ColorLine | ( | in BSTR | line,
|  | in IColorSink * | sink,
|  | inout long * | state
| ) |

| Definition at line 305 of file stdservice_.cpp. References TokenInfo::charClass, TokenInfo::colorClass, doneBuffer(), enterLexer(), leaveLexer(), lookupTokenInfo(), m_lexerBuffer, nextToken(), switchBuffer(), Token, TokenInfo::trigger, and yyleng.

Here is the call graph for this function:

STDMETHODIMP StdService::ParseSource | ( | in BSTR | text,
|  | in IParseSink * | sink,
|  | in ParseReason | reason,
|  | in long | reserved,
|  | out IScope ** | scope
| ) |

| Definition at line 232 of file stdservice_.cpp. References CHECK, doneBuffer(), endsWith(), enterParser(), enterSink(), getFileName(), leaveParser(), leaveSink(), loadScope(), m_buffer, m_parserBuffer, LexBuffer::reason, LexBuffer::sink, switchBuffer(), TRACE, and yyparse.

Here is the call graph for this function:

STDMETHODIMP StdService::GetMethodFormat | ( | out BSTR * | parStart,
|  | out BSTR * | parSep,
|  | out BSTR * | parEnd,
|  | out BSTR * | typeStart,
|  | out BSTR * | typeEnd,
|  | out VARIANT_BOOL * | typePrefixed
| ) |

| Definition at line 635 of file stdservice_.cpp. References BstrNewFormat(), getMethodFormat(), MethodFormat::parEnd, MethodFormat::parSep, MethodFormat::parStart, MethodFormat::typeEnd, MethodFormat::typePrefixed, and MethodFormat::typeStart.

Here is the call graph for this function:

STDMETHODIMP StdService::GetCommentFormat | ( | out BSTR * | lineStart,
|  | out BSTR * | blockStart,
|  | out BSTR * | blockEnd,
|  | out VARIANT_BOOL * | useLineComments
| ) |

| Definition at line 674 of file stdservice_.cpp. References CommentFormat::blockEnd, CommentFormat::blockStart, BstrNewFormat(), getCommentFormat(), CommentFormat::lineStart, and CommentFormat::useLineComments.

Here is the call graph for this function:

STDMETHODIMP StdService::GetImageList | ( | out long * | imageListHandle,
|  | out long * | glyphCount
| ) |

| Definition at line 662 of file stdservice_.cpp. References OUTARG.

## Friends And Related Function Documentation

int yyparse | ( | void |  | ) | `[friend]`

| Referenced by ParseSource().

## Member Data Documentation

ULONG StdService::m_refCount`[private]`

| Definition at line 183 of file stdservice.h.

ITypeInfo* StdService::m_typeInfo`[private]`

| Definition at line 184 of file stdservice.h.

CRITICAL_SECTION StdService::m_lexerLock`[private]`

| Definition at line 186 of file stdservice.h. Referenced by enterLexer(), enterSink(), leaveLexer(), leaveSink(), StdService(), and ~StdService().

CRITICAL_SECTION StdService::m_parserLock`[private]`

| Definition at line 187 of file stdservice.h. Referenced by enterParser(), leaveParser(), StdService(), and ~StdService().

LexBuffer* StdService::m_buffer`[protected]`

| Definition at line 191 of file stdservice.h. Referenced by addExtern(), addScope(), addScopeText(), autoExpression(), codeSpan(), doneBuffer(), endParameters(), errorMessage(), expectError(), getFileName(), getProject(), getTokenDescription(), lexicalError(), matchPair(), matchTriple(), nextToken(), parameter(), parserNextToken(), ParseSource(), qualifyName(), readInput(), startName(), startParameters(), StdService(), syntaxError(), tokenBstr(), tokenText(), and ~StdService().

LexBuffer StdService::m_lexerBuffer`[protected]`

| Definition at line 192 of file stdservice.h. Referenced by ColorLine().

LexBuffer StdService::m_parserBuffer`[protected]`

| Definition at line 193 of file stdservice.h. Referenced by ParseSource().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/yabsl/vsyabsl/stdservice.h
- Tools/Xabsl2/yabsl/vsyabsl/stdservice_.cpp